Wie man den Dudenkorrektor 9 unter Ubuntu 12.04 amd64 mit 64bit installiert – (Update – klappt auch mit 14.04 Trusty Tahr) Wie man den Dudenkorrektor 9 unter Ubuntu 12.04 amd64 mit 64bit installiert – (Update – klappt auch mit 14.04 Trusty Tahr)

Vorwort:

Der Dudenkorrektor ist eine tolle Software für Leute, die mit der deutschen Rechtschreibung auf Kriegsfuß stehen. Er bietet eine exzellente Korrekturleistung für die deutsche Sprache, die die von Microsoft Word deutlich in den Schatten stellt. Die Korrekturleistung von LibreOffice ist im Auslieferungszustand noch deutlich unter der von Word anzusiedeln. Aus mir nicht verständlichen Gründen wird der Dudenkorrektor ausschließlich in einer 32bit variante geliefert. 32Bit Betriebssysteme unterstützen jedoch nur 4GB RAM. Dies wirkt in einer Zeit, in der Computern mit deutlich mehr als 4GB RAM normal sind, ziemlich lächerlich.

Ist der Leidensdruck groß genug?

JA, es ist möglich den Dudenkorrektor unter Linux auf einem 64Bit-System (amd64 Architektur) zu installieren.

Folgende Schritte sind nötig:

Bei Fehlern:

Bei Fehlern dudenkorrektor.so konnte nicht geladen werden:

Prüfen ob alle libs die der Dudenkorrektor brauch auch da sind (es müssen 32bit libs sein, die 64bit libs helfen nicht). Der Pfad muss entsprechend der Fehlermeldung angepasst werden.

  • ldd ~/.config/libreoffice/3/user/uno_packages/cache/uno_packages/xxxxx.tmp_/DRO.oxt/dudenkorrektor.uno.so | grep "not found"

Ggf. dem dudenkorrektor ein bisschen beim suchen helfen, indem man Links auf die libs ins globale Verzeichnis packt:

  • sudo ln -s /opt/libreoffice3.6/ure/lib/libuno_sal.so.3 /lib/i386-linux-gnu/libuno_sal.so.3
  • sudo ln -s /opt/libreoffice3.6/ure/lib/libuno_cppu.so.3 /lib/i386-linux-gnu/libuno_cppu.so.3
  • sudo ln -s /opt/libreoffice3.6/ure/lib/libuno_salhelpergcc3.so.3 /lib/i386-linux-gnu/libuno_salhelpergcc3.so.3
  • sudo ln -s /opt/libreoffice3.6/ure/lib/libxmlreader.so /lib/i386-linux-gnu/libxmlreader.so
  • sudo ln -s /opt/libreoffice3.6/ure/lib/libstore.so.3 /lib/i386-linux-gnu/libstore.so.3
Fehler: „Could not create Java implementation loader“
  • sudo update-alternatives --config java

und dort das i386 Java auswählen.

LibreOffice neu starten und unter Extras –> Optionen –> LibreOffice –> Java die Oracle VM auswählen.

LibreOffice noch mal neustarten und nochmal probieren den Dudenkorrektor zu installieren.

Kommentare deaktiviert für Wie man den Dudenkorrektor 9 unter Ubuntu 12.04 amd64 mit 64bit installiert – (Update – klappt auch mit 14.04 Trusty Tahr)
Wie man den Dudenkorrektor 9 unter Ubuntu 12.04 amd64 mit 64bit installiert – (Update – klappt auch mit 14.04 Trusty Tahr)

Kommentare sind geschlossen.